export interface Resource {
  idResource?: string;
  resourceName?: string;
  description?: string;
  descriptionNative?:string;
  links?:string[];
  fileNames?:string[];
  resourceOrigin?: string;
  countryOrigin?:Country;
  resourceType?: ResourceType;
  sectors?: Sector[];
  regions?: Region[];
  crops?:Crop[];
  pests?:Pest[];
  keywordsTemp?:string[];
  keywords?: Keyword[];
  language?: Language;
  project?: Project;
  projectWeb?: string;
  projectGrantNo?:string;
  contactName?: string;
  contactInstitution?: string;
  contactEmail?: string;
  contactPhone?: string;
  mainURL?:string;
  citation?:string;
  creationDate?:Date;
  approved?:boolean;
}

export class Country{
  public idCountry!:string;
  public name!: string;
}
export class Crop{
  public idCrop?:string;
  public commonName?: string;
  public latinName?:string;
  public eppo?:string;
}
export class Pest{
  public idPest?:string;
  public commonName?: string;
  public latinName?:string;
  public eppo?:string;
}
export class ResourceType{
  public idResourceType!:string;
  public name!: string;
}
export class Sector{
  public idSector!: string;
  public name!: string;
  public sectorIcon!:string;
}
export class Region{
  public idRegion!: string;
  public name!: string;
}
export class Language{
  public idLanguage!: string;
  public name!: string;
}
export class Project{
  public idProject!: string;
  public name!: string;
  public description!: string;
}
export class Keyword{
  public idKeyword!: string;
  public name!: string;
}
export class PageableResource {
  content?: Resource[] = [];
  empty?: boolean;
  first?: boolean;
  last?: boolean;
  number?: number = 0;
  numberOfElements?: number;
  pageable?: any;
  size?: number = 0;
  sort?: any;
  totalElements: number|undefined;
  totalPages?: number =0;
}
